classification
Title: Sporadic failure of test_semaphore_tracker() of test_multiprocessing_forkserver on FreeBSD 9 buildbot
Type: Stage:
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: python-dev, sbt, vstinner
Priority: normal Keywords: buildbot

Created on 2014-01-03 12:17 by vstinner, last changed 2015-03-18 12:42 by vstinner. This issue is now closed.

Messages (6)
msg207223 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-01-03 12:17
http://buildbot.python.org/all/builders/AMD64%20FreeBSD%209.0%203.x/builds/6085/steps/test/logs/stdio

======================================================================
FAIL: test_semaphore_tracker (test.test_multiprocessing_forkserver.TestSemaphoreTracker)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/buildarea/3.x.krah-freebsd/build/Lib/test/_test_multiprocessing.py", line 3661, in test_semaphore_tracker
    _multiprocessing.sem_unlink(name2)
AssertionError: OSError not raised
msg207235 - (view) Author: Richard Oudkerk (sbt) * (Python committer) Date: 2014-01-03 19:25
How often has this happened?

If the machine was very loaded then maybe the timeout was not enough time for the semaphore to be cleaned up by the tracker process.  But I would expect 1 second to be more than ample.
msg207249 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2014-01-03 21:52
The machine has a high load: 6 processes at 100% CPU, one of which is
the FreeBSD virtual machine.
msg207288 - (view) Author: Richard Oudkerk (sbt) * (Python committer) Date: 2014-01-04 15:19
It is probably harmless then.

I don't think increasing the timeout is necessary -- the multiprocessing tests already take a long time.
msg211835 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-02-21 09:17
> It is probably harmless then.

It makes the buildbot red :-( I would like to see green buildbots :-)



Similar failure on the buildbot "SPARC Solaris 10 OpenCSW 3.x". A build takes between 9 and 10 hours on this buildbot.

http://buildbot.python.org/all/builders/SPARC%20Solaris%2010%20OpenCSW%203.x/builds/821/steps/test/logs/stdio

======================================================================
FAIL: test_semaphore_tracker (test.test_multiprocessing_fork.TestSemaphoreTracker)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/export/home/buildbot/buildarea/3.x.bruynooghe-solaris-csw/build/Lib/test/_test_multiprocessing.py", line 3656, in test_semaphore_tracker
    _multiprocessing.sem_unlink(name2)
AssertionError: OSError not raised
msg211881 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-02-21 22:31
New changeset 5057eaff9d68 by Richard Oudkerk in branch 'default':
Issue #20114: Double timeout in test_semaphore_tracker() to reduce
http://hg.python.org/cpython/rev/5057eaff9d68
History
Date User Action Args
2015-03-18 12:42:39vstinnersetstatus: open -> closed
resolution: fixed
2014-10-14 16:09:59skrahsetnosy: - skrah
2014-02-21 22:31:54python-devsetnosy: + python-dev
messages: + msg211881
2014-02-21 09:17:44vstinnersetmessages: + msg211835
2014-01-04 15:19:13sbtsetmessages: + msg207288
2014-01-03 21:52:14skrahsetnosy: + skrah
messages: + msg207249
2014-01-03 19:25:29sbtsetmessages: + msg207235
2014-01-03 12:17:44vstinnercreate